Bug 62448 - FILESAVE .ods with double size of vertically flipped (triangle) drawing shape anchored to cell
Summary: FILESAVE .ods with double size of vertically flipped (triangle) drawing shape...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.0.3
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2013-03-17 21:50 UTC by Jori
Modified: 2019-02-24 23:23 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
I join the document in which the problem arrives. Look triangle in columns at right. (73.05 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-03-17 21:50 UTC, Jori
Details
Sample Document, only 1 shape shows bug (8.48 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-03-18 07:09 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jori 2013-03-17 21:50:33 UTC
Created attachment 76665 [details]
I join the document in which the problem arrives. Look triangle in columns at right.

I use the Draw toolbar in LibreOffice Calc.

I draw a triangle who have the point/top/summit directed downward.
If I save the document, I exit, and I open the document again, the triangle become twice as big !

If I draw a rectangle or a triangle who have the point turned upward, there is not problem !
Operating System: Linux (Other)
Version: 3.6.2.2 release
Comment 1 Rainer Bielefeld Retired 2013-03-18 07:02:55 UTC
The effect is reproducible with reporter's sample and  "LibreOffice 3.6.5.2 " German UI/ German Locale [Build-ID: 5b93205] {pull date 2013-01-18} on German WIN7 Home Premium (64bit).

1. open reporter's sample document
2. At the bottom of cell h11 you see 3 triangles. Rightclick most lef 
   (light yellow) one, 'Position and size':  width=8,1 8mm and height=8,51 mm
3. Save under new name, close, reopen
4. Check size again, group of triangles changed position and size,
   now width=16,36 mm and height=17,03 mm

The position problem might be related, but that one is already visible with LibO 3.3.3 (and OOo 2.0), and currently I do not know whether it's a FILEOPEN or a FILESAVE problem.

Due to <http://odf-validator2.rhcloud.com/odf-validator2/A reporter's sample is valid ODF

I created a more simple sample document with OOo 2.0, what shows several different triangles created always by copy / paste. 
The shape what should have been shown below "42. Anchored to cell" is the one what will be shown with wrong size after save - close - reopen.

So latest steps how to reproduce:
20. Open new spreadsheet from LibO start Center
21. To D20 draw a triangle with cell width and similar height
22. 'Rightclick -> Flip vertically'
24. 'Rightclick -> Change Anchor to Cell' if necessary
25. 'Save -> Close -> Reopen'
     Bug: double size compared to Step 21

I also tested shapes Square, Circle Pie, Diamond, they were also affected

Already Reproducible with LibO 3.4.5

@reporter:
Can you confirm my assumptions and results?

@Spreadsheet Team
Please change  Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf (and remove others in team from CC).
Comment 2 Rainer Bielefeld Retired 2013-03-18 07:09:24 UTC
Created attachment 76673 [details]
Sample Document, only 1 shape shows bug

See comment above how to use ("I created a more simple sample document")
Comment 3 Rainer Bielefeld Retired 2013-03-18 07:53:40 UTC
Worked fine with Server Installation of "LibreOffice 3.3.3  English UI/ German Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit), so regression!

For the positioning problem I submitted "Bug 62456 - Vertically flipped shape anchored to cell at wrong position when reopen .ods"
Comment 4 Noel Power 2013-03-21 12:38:26 UTC
taking this

Pretty weird effect I have to say ( also it's worse on master, most probably due to stuff I did wrt anchor handling for rotated shapes )

but.. lets tackle it first on 3.6 ( and try to understand what is going on there )
Comment 5 Commit Notification 2013-03-28 14:57:40 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2058479575e4a3e003eb1917c4f0947db9145623&h=libreoffice-4-0

hacky fix for export of cell anchored flipped custom shapes (fdo#62448)


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-03-29 16:17:53 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d31d06e3d59abdc77e0b1cb5b3575d7fa5357445&h=libreoffice-4-0

Revert "hacky fix for export of cell anchored flipped custom shapes (fdo#62448)"


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 QA Administrators 2015-02-19 15:46:59 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-03-08 18:24:44 UTC
(In reply to Rainer Bielefeld Retired from comment #1)
> So latest steps how to reproduce:
> 20. Open new spreadsheet from LibO start Center
> 21. To D20 draw a triangle with cell width and similar height
> 22. 'Rightclick -> Flip vertically'
> 24. 'Rightclick -> Change Anchor to Cell' if necessary
> 25. 'Save -> Close -> Reopen'
>      Bug: double size compared to Step 21

Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 9 tommy27 2016-04-16 07:28:47 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2016-09-10 16:04:56 UTC Comment hidden (obsolete)
Comment 11 Xisco Faulí 2017-09-29 08:53:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929